import os
import re
import socket

import click
from ...conf import read

SAMPLE_DIR = os.path.join(os.path.dirname(__file__), 'samples')
@click.command('proxy')
@click.option('-d', '--domain', default='mydomain.it')
def proxy(domain):
    conf = os.path.join(SAMPLE_DIR, 'proxy.conf')
    with open(conf) as f:
        content = f.read()
    print(content % locals())

@click.command('angjs')
def angjs():
    conf = os.path.join(SAMPLE_DIR, 'proxy.conf')
    with open(conf) as f:
        print(f.read())
